Agda-2.2.10: A dependently typed functional programming language and proof assistant

Agda.Utils.IO.UTF8

Description

Text IO using the UTF8 character encoding.

Synopsis

- readTextFile :: FilePath -> IO String
- writeFile :: FilePath -> String -> IO ()

# Documentation

readTextFile :: FilePath -> IO String

Reads a UTF8-encoded text file and converts all Unicode line endings into '\n'.

writeFile :: FilePath -> String -> IO ()

Writes a UTF8-encoded text file. The native convention for line endings is used.